#
# spec file for package libxfce4util
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libname libxfce4util7
Name:           libxfce4util
Version:        4.12.1
Release:        6.1
Summary:        Utility Library for the Xfce Desktop Environment
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://www.xfce.org/
Source:         http://archive.xfce.org/src/xfce/libxfce4util/4.12/%{name}-%{version}.tar.bz2
Source100:      %{name}-rpmlintrc
# PATCH-FEATURE-OPENSUSE libxfce4util-xfce-rc-i18n.patch bnc#829113 gber@opensuse.org -- Translate Name, GenericName, and Comment entries of desktop files via gettext when read via the xfce_rc_* API
Patch0:         libxfce4util-xfce-rc-i18n.patch
BuildRequires:  intltool
BuildRequires:  perl
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk-doc)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libxfce4util is a general-purpose utility library with core application support
for the Xfce Desktop Environment.

%package tools
Summary:        Tools for libxfce4util
Group:          System/Libraries
Provides:       libxfce4util:%{_sbindir}/xfce4-kiosk-query

%description tools
This package contains tools for libxfce4util.

%package -n %{libname}
Summary:        Utility Library for the Xfce Desktop Environment
Group:          System/Libraries
Recommends:     %{name}-lang = %{version}
Provides:       libxfce4util = %{version}
Obsoletes:      libxfce4util <= 4.8.2

%description -n %{libname}
libxfce4util is a general-purpose utility library with core application support
for the Xfce Desktop Environment.

%package devel
Summary:        Development Files for libxfce4util
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Requires:       %{name}-tools = %{version}

%description devel
This package contains the API documentation and development files needed for
developing applications based on libxfce4util.

# this should be replaced by %%lang_package once bnc#513786 is resolved
%package lang
Summary:        Languages for package %{name}
Group:          System/Localization
Requires:       %{libname} = %{version}
Provides:       %{name}-lang-all = %{version}
Supplements:    packageand(bundle-lang-other:%{libname})
BuildArch:      noarch

%description lang
Provides translations to the package %{name}

%prep
%setup -q
%patch0 -p1

%build
%configure \
    --disable-static \
    --enable-gtk-doc
make %{?_smp_mflags} V=1

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete -print

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,ur_PK,tl_PH}

%find_lang %{name} %{?no_lang_C}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files tools
%defattr(-,root,root)
%{_sbindir}/xfce4-kiosk-query

%files lang -f %{name}.lang
%defattr(-,root,root)

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS TODO README README.Kiosk
%{_libdir}/libxfce4util.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/libxfce4util-*.pc
%{_libdir}/libxfce4util.so
%dir %{_includedir}/xfce4
%{_includedir}/xfce4/libxfce4util/
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libxfce4util

%changelog
* Sat Feb 28 2015 gber@opensuse.org
- update to version 4.12.1
  - fix small mistake in 4.12.0, xfce_version_string was left at
    4.10
* Sat Feb 28 2015 gber@opensuse.org
- update to version 4.12.0
  - update libtool version to reflect dropped symbols (bxo#10737)
  - autotools updates
  - don't use freed rc file to avoid crash (bxo#9026)
  - remove unused or unrequired API functions: xfce_strjoin,
    xfce_gethostname, xfce_putenv, xfce_setenv, xfce_unsetenv
  - translation updates
* Wed Oct 15 2014 gber@opensuse.org
- add libxfce4util-xfce-rc-i18n.patch which translates Name,
  GenericName, and Comment entries of desktop files via gettext
  when read via the xfce_rc_* API, this is necessary since inline
  translations in openSUSE are removed in favor of gettext-based
  translations (bnc#829113)
* Wed Apr 30 2014 gber@opensuse.org
- update to version 4.10.0
  - autotools updates
  - don't use freed rc file to avoid crash (bxo#9026)
  - remove unused or unrequired API functions: xfce_strjoin,
    xfce_gethostname, xfce_putenv, xfce_setenv, xfce_unsetenv
  - translation updates
* Sun May  5 2013 gber@opensuse.org
- update to version 4.10.1
  - don't used freed rc file to avoid crash
  - autotools updates
* Sun Apr 29 2012 gber@opensuse.org
- update to version 4.10.0
  - translation updates
* Sat Apr 14 2012 gber@opensuse.org
- update to version 4.9.1
  - bump glib to 2.24
  - translation updates
* Sun Apr  8 2012 gber@opensuse.org
- update to version 4.9.0
  - make licenses static. You can only use
    xfce_get_license_text(...)
  - remove unused .h files
  - remove xfce_strip_context(), use g_strip_context()
  - remove XfceDesktopEntry
  - don't generate enum types
  - only link against glib
  - set version string to 4.10
  - remove spec file and rpm build
  - missing fallback for AC_RUN_IF_ELSE() when cross-compiling
  - fix XfceRc group parsing with brackets in name
  - reduce XfceRc structure size from from 216 to 176 bytes
  - use some macros and drop unneeded strlen's in XfceRc
  - use GSList in xfce-resource
  - bump verinfo to 6:0:0
  - translation updates
* Fri Mar 23 2012 gber@opensuse.org
- split into libxfce4util4, -tools, -lang subpackages conforming
  to the shared library policy
- correct build dependencies
* Mon Sep 19 2011 gber@opensuse.org
- update to version 4.8.2
  - remove the internal slice allocator macros
  - use chain to free slice instead of a loop
  - bugfixes
  - translation updates
- removed libxfce4util-4.8.1-fix-broken-assertion.patch which has
  been included upstream
* Sun Jan 30 2011 gber@opensuse.org
- improved descriptions/summary
- added libxfce4util-4.8.1-fix-broken-assertion.patch which fixes a
  broken assertion which causes xfce_strjoin to fail incorrectly
  (bxo#7122)
* Mon Jan 17 2011 gber@opensuse.org
- update to version 4.8.1
  - bugfixes
* Fri Dec 24 2010 gber@opensuse.org
- corrected license information
- corrected category
- improved summaries/descriptions
- show compiler output
* Wed Dec 15 2010 prusnak@opensuse.org
- remove tl_PH translation
* Sun Dec  5 2010 prusnak@opensuse.org
- update to 4.7.4
  - Fix wrong capitalization of Xfce.
  - Fix stdarg.h include (bug #6897).
  - Translation updates (pt).
* Wed Dec  1 2010 prusnak@opensuse.org
- use pkgconfig symbol in BuildRequires
* Mon Nov 22 2010 andrea@opensuse.org
- update to 4.7.3 (unstable release)
  * When a valid variable name is not found in the buffer, replace
  * it with nothing so the behavious is the same as the old implementation.
  * Allow multiple variable put together like $HOME$HOME$HOME.
  * Explicitly link to gobject for the gtkdocs.
  * Expand tilde in more situations in xfce_expand_variables().
  * Also allow to expand ~ and ~user in the following cases instead of
    only at the start of the command:
    ~ is after a space, a = sign or quoted (start with ' or "). This
  * allows to expand command line "thunar ~/music",
    "terminal --working-directory=~/scripts" or "thunar '~/my music'".
  * Also drop the static buffers and use a GString to build the function
    result.
  * Also fix a bug where underscores were no usable in expanding variables.
* Thu Jul 22 2010 andrea@opensuse.org
- new upstream version 4.6.2 (Xfce 4.6.2 release)
* Wed Jan 13 2010 prusnak@suse.cz
- updated to 4.7.1
  - Remove po/LINGUAS file so it does not override the languages defined
    in the configure file.
- updated to 4.7.0
  - Build ChangeLog during make dist.
  - Silent the build.
  - Fix some compiler warnings.
  - Use new xdt macros, xfce-dev-tools 4.7.2 is required.
  - Various build changes for GIT.
  - Misc other small changes.
  - Translation updates (ca, zh_CN, es, da, gl, pa, ru, sq, lv, sk,
    kk, hu, ast, ur_PK, ur, tl_PH).
* Tue Apr 21 2009 prusnak@suse.cz
- updated to 4.6.1
  * updated translations
* Fri Feb 27 2009 prusnak@suse.cz
- updated to 4.6.0 (Xfce 4.6.0 release)
* Thu Feb 19 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Wed Nov  5 2008 bwalle@suse.de
- updated to 4.4.3
  * translations polish
  * bug fixes
* Mon Dec  3 2007 bwalle@suse.de
- update to 4.4.2
  o Fix applications sometimes starting on the wrong screen in
    multihead setups
  o Fix possible buffer overflow
  o Remove trailing parens on AC_INIT version info to work around
    bug in intltool 0.35.x and 0.36.x.
  o Updated and new translations
* Mon Nov 12 2007 prusnak@suse.cz
- use %%find_lang macro
- do not package INSTALL file
* Sun Oct 21 2007 bwalle@suse.de
- replaced group 'System/GUI/Other' by 'System/GUI/XFCE'
* Tue Apr 10 2007 bwalle@suse.de
- update to 4.4.1
  o Fix invalid g_slice_free1() in XfceRc code.
  o Fix bug when deleting groups.
  o Do not use GMemChunk for XfceRc module as that leaks all of its
    memory starting with GLib 2.10.
* Mon Jan 29 2007 pnemec@suse.cz
- removed providing %%name from package #236139
* Wed Jan 24 2007 stbinner@suse.de
- fix build
* Sun Jan 21 2007 bwalle@suse.de
- upgraded to 4.4.0
* Sat Nov  4 2006 bwalle@suse.de
- updated to 4.3.99.2 (4.4 rc2)
* Mon Sep  4 2006 pnemec@suse.cz
- updated to new version 4.3.99.1
* Wed Aug 23 2006 pnemec@suse.cz
- added dbus-devel to build requires
* Tue Aug  1 2006 pnemec@suse.cz
- initial comment, version is 4.3.90.2
- package moved into BuildService
- no patch needed
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 pnemec@suse.cz
- updated to 4.2.3
* Fri Sep 23 2005 cthiel@suse.de
- added -fno-strict-aliasing to CFLAGS
* Wed Sep 14 2005 cthiel@suse.de
- specfile cleanup
* Mon Aug  1 2005 cthiel@suse.de
- fixed Requires
* Wed May 18 2005 cthiel@suse.de
- fixed filelist
* Wed May 18 2005 cthiel@suse.de
- update to 4.2.2
* Mon Apr 11 2005 cthiel@suse.de
- update to 4.2.1
* Wed May 12 2004 ltinkl@suse.cz
- initial version
